# Init hosted registration

Initializes a hosted WebAuthn registration flow for a logged-out user (see [Quickstart](/guides/user/auth_webauthn_registr_quickstart/)). This API is used to securely set the WebAuthn username in the backend, and returns a registration token used to start the registration flow. **Relevant only for hosted login scenarios**

Endpoint: POST /v1/auth/webauthn/external/register/hosted/hint
Security: ClientAccessToken

## Request fields (application/json):

  - `webauthn_identifier` (string, required)
    Account name for this Relying Party. This is used both for display purposes, as well as during recovery flows where the user is asked for the account name.

  - `webauthn_display_name` (string)
    Human-palatable name for the user account, only for display (max 64 characters).  If not set, the username parameter will also act as the display name

  - `external_user_id` (string)
    A unique identifier in the tenant, which corresponds to an identifier of the user in your system.

  - `redirect_uri` (string, required)
    URI to redirect to upon completing the registration process

## Response 200 fields (application/json):

  - `register_webauthn_cred_token` (string, required)
    Token returned to relying party to ensure the specified username is being used for webauthn credential registration

## Response 400 fields (application/json):

  - `error_code` (string)
    Enum: "user_unknown_identifier_type"

  - `message` (string)

